Skip to main content
GET
/
talent-training
/
api
/
v2
/
realized-trainings
/
{id}
Get a realized-training (v2)
curl --request GET \
  --url https://{host}/talent-training/api/v2/realized-trainings/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/talent-training/api/v2/realized-trainings/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/talent-training/api/v2/realized-trainings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 235,
  "ownerId": 416,
  "training": {
    "id": 45,
    "title": "Mastering French: From Basics to Fluency",
    "categoryId": 1,
    "providerUrl": "https://elan-francais.fr",
    "level": "Beginner"
  },
  "trainingDemandId": 4356,
  "sessionId": 12,
  "sessionStartsOn": "2025-01-04",
  "sessionEndsOn": "2025-01-04",
  "hasAttended": true,
  "durationInHours": 14
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

Id of the realized-training.

Required range: x >= 1

Response

200 - application/json

Ok

A realized-training represents a completed training process for a given employee.

ownerId
integer<int32>
required

ID of the employee who realized said training.

Required range: x >= 1
sessionStartsOn
string<date>
required

Date of the first day of the training session.

sessionEndsOn
string<date>
required

Date of the last day (included) of the training session.

durationInHours
number<decimal>
required

Duration of the training in hours (e.g. "2.5" means two and a half hours).

Must be a multiple of 0.01
id
number
read-only
Required range: x >= 1
training
object
read-only
trainingDemandId
integer<int32>
read-only

Reference of the training-demand that led to the registration to this training session.

Required range: x >= 1
sessionId
integer<int32>
read-only

Reference of the training session the employee was registered on.

Required range: x >= 1
hasAttended
boolean
default:true
read-only

Whether the employee actually attended the training or not. You may not create a new realized-training with hasAttended: false, but you may retrieve existing ones in a GET request.